
package test3;

import org.jvnet.hk2.annotations.Service;
import org.jvnet.hk2.config.ConfigInjector;
import org.jvnet.hk2.config.Dom;
import org.jvnet.hk2.config.InjectionTarget;

@Service(name = "", metadata = "@name=required,@name=datatype:java.lang.String,@name=leaf,@value=required,@value=datatype:java.lang.String,@value=leaf,keyed-as=test3.Property,target=test3.Property,key=@name")
@InjectionTarget(Property.class)
public class PropertyInjector
    extends ConfigInjector<Property>
{


    public void inject(Dom dom, Property target) {
        attribute_name(dom, target);
        attribute_value(dom, target);
    }

    public void injectAttribute(Dom dom, String name, Property target) {
        if ("name".equals(name)) {
            attribute_name(dom, target);
        }
        if ("value".equals(name)) {
            attribute_value(dom, target);
        }
    }

    public void injectElement(Dom dom, String name, Property target) {
    }

    public void attribute_name(Dom dom, Property target) {
        String v1 = dom.attribute("name");
        target.name = v1;
    }

    public void attribute_value(Dom dom, Property target) {
        String v1 = dom.attribute("value");
        target.value = v1;
    }

}
